| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# iengine/shadows.h File Reference

Shadow interfaces. More...

`#include "csutil/scf.h"`

Go to the source code of this file.

## Classes
struct | iShadowBlock
| A block of shadows represent the shadows that are casted by one iShadowCaster object. More...
struct | iShadowBlockList
| This is a list of shadow blocks. More...
struct | iShadowIterator
| A shadow iterator allows someone to iterate over all shadows in a iShadowBlock or iShadowBlockList. More...

## Detailed Description

Shadow interfaces.

Definition in file shadows.h.